Newer version of nginx installed


#1

Trying to set up primary website on new server I built from scratch. Already installed Nginx 1.9.5 from official nginx repo, EE appears to be installing 1.8.0 (Debian repo default ver) in it’s place. Following errors ensue:

Unpacking nginx-custom (1.8.0-8ppa) ...
dpkg: error processing archive /var/cache/apt/archives/nginx-custom_1.8.0-8ppa_amd64.deb (--unpack):
 trying to overwrite '/usr/sbin/nginx', which is also in package nginx 1.9.5-1~jessie
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/nginx-common_1.8.0-8ppa_all.deb
 /var/cache/apt/archives/nginx-custom_1.8.0-8ppa_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Can I get it to skip attempted installation and just configure?


#2

Just noticed that if I do

ee info

it reports “Nginx is not installed”, however a

dpkg -s nginx

it reports the following:

Package: nginx Status: install ok installed Priority: optional Section: httpd Installed-Size: 1184 Maintainer: Sergey Budnevitch sb@nginx.com Architecture: amd64 Version: 1.9.5-1~jessie Provides: httpd Depends: libc6 (>= 2.14), libpcre3 (>= 1:8.35), libssl1.0.0 (>= 1.0.1), zlib1g (>= 1:1.1.4), lsb-base, adduser Conffiles: /etc/default/nginx e2b1ae0f31c6d03d3305ef526b0ba3b5 /etc/init.d/nginx 0525b92e368668d1dc07c2ee2e3df0a1 /etc/logrotate.d/nginx db861faafc08f38fcce873913ba3459f /etc/nginx/conf.d/default.conf 4dce452bf8dbb01f278ec0ea9ba6cf40 /etc/nginx/fastcgi_params 4729c30112ca3071f4650479707993ad /etc/nginx/koi-utf 3e338aca6a53a5420fc791b5ef86f64c /etc/nginx/koi-win bfa0b80381fed2b1dfcf617b0ba204ec /etc/nginx/mime.types bd837e7b34f5c9b8d89957d0527f0d44 /etc/nginx/nginx.conf f7984934bd6cab883e1f33d5129834bb /etc/nginx/scgi_params df8c71e25e0356ffc539742f08fddfff /etc/nginx/uwsgi_params 88ac833ee8ea60904a8b3063fde791de /etc/nginx/win-utf 3749ffe19bedd842eb87e83d544e5ce6 Description: high performance web server nginx [engine x] is an HTTP and reverse proxy server, as well as a mail proxy server. Homepage: http://nginx.org

So… Any suggestions on how to make this work with 1.9.5 or is that just out of the question?


#3

Gotta say I’m disappointed with the complete and total lack of response.


#4

Hello @Duvrazh,

Sorry for delayed reply.

EasyEngine uses its own apt repository for Nginx with package name as nginx-custom.

In this nginx-custom we have all the modules which required for various caching methods that EasyEngine provides.

If you want to use EasyEngine on your existing server, you need to first purge existing Nginx package and also need to remove its repository. After that only you will be able to use Nginx that is provided in our own repo.


#5